---
schema_version: "1"
id: 3f3e1582db637789dc06aed94e44b2462591df7bece8eb8d84acf13d62af6466
title: Get Marketing Cloud Next Segment Details
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/mc-core/guide/mc-manage-segments/mc-manage-segments-get-details/mc-manage-segments-get-details.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud-growth/guide/mc-manage-segments-get-details.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 4016a3b2d8cba9267afcd2ce93c9e31905e2e82c8852852f5cedceaaa31d1281
products:
  - Marketing Cloud Next
  - Marketing Cloud
---
# Get Marketing Cloud Next Segment Details

Retrieve details of an individual segment using the [Data 360 Segment](https://developer.salesforce.com/docs/atlas.en-us.chatterapi.meta/chatterapi/connect_resources_cdp_ssot_segment.htm) endpoint in Connect API.

## Prerequisite

Before you send a request to Connect API, obtain a bearer token. For more information, see [Connect to REST-based APIs](https://developer.salesforce.com/docs/marketing/mc-connect-apis/mc-connect-apis-rest.md).

## Send the Request

To retrieve information about a segment, send a GET request to the `/services/data/{apiVersion}/ssot/segments/SEGMENT_API_NAME` endpoint. Replace `SEGMENT_API_NAME` with the API name of the segment that you want to retrieve details for. For additional information and code examples, see [getSegmentDetails](/docs/marketing/marketing-cloud-growth/references/mc-connect-segments?meta=getSegmentDetails).

```
GET /services/data/{apiVersion}/ssot/segments/SEGMENT_API_NAME HTTP/1.1
Host: YOUR_SUBDOMAIN.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN
```

If the request is successful, the response body contains detailed information about the specified segment.

```json
{
  "segments": [
    {
      "apiName": "Running_Shoe_Promo_Audience",
      "dataSpace": "default",
      "displayName": "Running Shoe Promo Audience",
      "marketSegmentDefinitionId": "3HX1Q000000HxyZWAS",
      "marketSegmentId": "1sg1Q000000HxyZQAS",
      "publishInterval": "NO_REFRESH",
      "publishStatus": "SUCCESS",
      "segmentMembershipDmo": {
        "historyTable": "Individual_Unified_SMH_1234567890122__dlm",
        "latestTable": "Individual_Unified_SM_1234567890123__dlm"
      },
      "segmentMembershipTable": "Individual_Unified_SMH_1234567890123__dlm",
      "segmentOnApiName": "UnifiedIndividual__dlm",
      "segmentOnId": "0gj1Q000000PQ3xYZG",
      "segmentStatus": "ACTIVE",
      "segmentType": "UI"
    }
  ]
}
```
